shibsp::SecurityPolicy Class Reference

SP-specific SecurityPolicy subclass. More...

`#include <shibsp/security/SecurityPolicy.h>`

Inheritance diagram for shibsp::SecurityPolicy:
[legend]
Collaboration diagram for shibsp::SecurityPolicy:
[legend]

## Public Member Functions

| SecurityPolicy (const Application &application, const xmltooling::QName *role=nullptr, bool validate=true, const char *policyId=nullptr, const char *profile=nullptr)
| Constructor for policy.
opensaml::saml2md::MetadataProvider::Criteria & | getMetadataProviderCriteria () const
const Application & | getApplication () const
| Returns the Application associated with the policy.

## Detailed Description

SP-specific SecurityPolicy subclass.

## Constructor & Destructor Documentation

## SecurityPolicy()

shibsp::SecurityPolicy::SecurityPolicy | ( | const Application & | application,
|  | const xmltooling::QName * | role = nullptr,
|  | bool | validate = true,
|  | const char * | policyId = nullptr,
|  | const char * | profile = nullptr )

Constructor for policy.

Parameters

  application | an Application instance
  role | identifies the role (generally IdP or SP) of the policy peer
  validate | true iff XML parsing should be done with validation
  policyId | identifies policy rules to auto-attach, defaults to the application's set
  profile | identifies the profile of the transaction being performed

## Member Function Documentation

## getApplication()

const Application & shibsp::SecurityPolicy::getApplication | ( |  | ) | const

Returns the Application associated with the policy.

Returns
  the associated Application

The documentation for this class was generated from the following file:

- shibsp/security/SecurityPolicy.h